## entangle-camera-manager

entangle-camera-manager

## Functions

EntangleCameraManager * | entangle_camera_manager_new ()
void | entangle_camera_manager_add_script ()
void | entangle_camera_manager_remove_script ()
void | entangle_camera_manager_capture ()
void | entangle_camera_manager_preview_begin ()
void | entangle_camera_manager_preview_cancel ()
void | entangle_camera_manager_set_camera ()
EntangleCamera * | entangle_camera_manager_get_camera ()
void | entangle_camera_manager_set_media_context_menu ()
gboolean | entangle_camera_manager_get_media_context_menu ()

## Properties

EntangleCamera * | camera | Read / Write

## Signals

void | closed | Run First

## Types and Values

#define | ENTANGLE_TYPE_CAMERA_MANAGER
| EntangleCameraManager

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkApplicationWindow
                                ╰── EntangleCameraManager

## Implemented Interfaces

EntangleCameraManager implements AtkImplementorIface, GtkBuildable, GActionGroup, GActionMap and EntangleProgress.

## Description

## Functions

### entangle_camera_manager_new ()

    EntangleCameraManager *
    entangle_camera_manager_new (EntangleApplication *app);

### entangle_camera_manager_add_script ()

    void
    entangle_camera_manager_add_script (EntangleCameraManager *manager,
                                        EntangleScript *script);

### entangle_camera_manager_remove_script ()

    void
    entangle_camera_manager_remove_script (EntangleCameraManager *manager,
                                           EntangleScript *script);

### entangle_camera_manager_capture ()

    void
    entangle_camera_manager_capture (EntangleCameraManager *manager);

### entangle_camera_manager_preview_begin ()

    void
    entangle_camera_manager_preview_begin (EntangleCameraManager *manager);

### entangle_camera_manager_preview_cancel ()

    void
    entangle_camera_manager_preview_cancel
                                   (EntangleCameraManager *manager);

### entangle_camera_manager_set_camera ()

    void
    entangle_camera_manager_set_camera (EntangleCameraManager *manager,
                                        EntangleCamera *cam);

### entangle_camera_manager_get_camera ()

    EntangleCamera *
    entangle_camera_manager_get_camera (EntangleCameraManager *manager);

Get the camera currently being used

#### Parameters

manager | the camera manager window |

#### Returns

the camera or NULL.

[transfer none]

### entangle_camera_manager_set_media_context_menu ()

    void
    entangle_camera_manager_set_media_context_menu
                                   (EntangleCameraManager *manager,
                                    gboolean enabled);

### entangle_camera_manager_get_media_context_menu ()

    gboolean
    entangle_camera_manager_get_media_context_menu
                                   (EntangleCameraManager *manager);

## Types and Values

### ENTANGLE_TYPE_CAMERA_MANAGER

    #define ENTANGLE_TYPE_CAMERA_MANAGER (entangle_camera_manager_get_type())

### EntangleCameraManager

    typedef struct _EntangleCameraManager EntangleCameraManager;

## Property Details

### The `“camera”` property

      “camera”                   EntangleCamera *

Camera to be managed.

Owner: EntangleCameraManager

Flags: Read / Write

## Signal Details

### The `“closed”` signal

    void
    user_function (EntangleCameraManager *entanglecameramanager,
                   gpointer               user_data)

Flags: Run First